<?php

namespace WPDesk\FakturyKSEF\Api\Interfaces;

/**
 * Representation of an outgoing, client-side request.
 *
 * @package WPDesk\FakturyKSEFWooCommerce\Api\Interfaces
 */
interface RequestInterface {

	/**
	 * @return string
	 */
	public function get_method(): string;

	/**
	 * @return array
	 */
	public function get_headers(): array;

	/**
	 * @return array
	 */
	public function get_body();

	/**
	 * @return string
	 */
	public function get_endpoint(): string;

	/**
	 * @return array
	 */
	public function get_options(): array;
}
